package com.casic.dcms.model;

import java.util.List;

public class CaseDetailBean {

    private int code;
    private String message;
    private boolean success;
    private List<DataBean> data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * bzhours : 8
         * isNeedRevisit : 0
         * registerRemarks : 调查后请及时回复
         * createUserName : 彭先洪
         * source : 2
         * reporterName :
         * casetypeName : 公共设施
         * audioIdCheck :
         * areaName : 崇仁县
         * caseState : 301
         * punishType : 2
         * checkPersonName :
         * communityName : 中大社区
         * superviseRemarks :
         * videoIdCheck :
         * lat : 27.757868294564336
         * superviseUserid :
         * caseStateName : 处理完成
         * lng : 116.06351929174009
         * isOvertime : 0
         * superviseUserName :
         * bzminis : 0
         * verifyPersonName :
         * audioIdProcess :
         * fileIdVerify : 2021-06\536af68ab91741c18d749c0b8a752f88.png,2021-06\6489d6d16e874ab096947e1d0acf84f3.png
         * casetypeDetailCode : 04
         * isUrge : 0
         * onedeptid : 1177028662545973250
         * checkPersonId :
         * fileIdCheck :
         * areaCode : 361024
         * videoIdProcess :
         * caseid : 202106170004
         * caseLevelName : 一般
         * nodeLimittime : 2021-06-19 10:03:14
         * gridId : 361024100005001
         * punishRemarks : 脏乱差，警告一次
         * reporterPhone :
         * processPersonid : 1188725016870416385
         * casetypesTimeId : 1400411300586729473
         * isSupervise : 0
         * description : 三包案卷暂时别处理
         * urgeUserid :
         * casetypesTimeName : 雨水篦子破损
         * audioIdVerify :
         * eorcName : 部件
         * casetypeDetailName : 雨水箅子
         * streetName : 巴山镇
         * processId : 2890624
         * reportSupervisorName :
         * caseLevel : 1
         * shopPhone : 15397679784
         * verifyPersonId :
         * fieldintro : 汽车修理厂
         * processPersonName :
         * streetCode : 361024100
         * urgeRemarks :
         * videoIdVerify :
         * shopkeeperName : 李四
         * eorc : 2
         * punishTime : 2021-06-17 09:26:23
         * createTime : 2021-06-17 08:52:28
         * casetypeCode : 01
         * punishImage : 2021-06\c0e6a51273d24e18a4957eadc360f0f7.png,2021-06\e2090003884b4ffab628c41065e62ba8.png
         * processRemarks :
         * createUser : 1177050541084160002
         * sourceName : 终端-普通上报
         * fileIdProcess : 2021-06\d43284ce59934735a6de2971364db320.png,2021-06\b955114e2b924525b1e4c23e9988adef.png
         * communityCode : 361024100005
         * onedeptName : 桥南中队
         */

        private int bzhours;
        private int isNeedRevisit;
        private String registerRemarks;
        private String createUserName;
        private int source;
        private String reporterName;
        private String casetypeName;
        private String audioIdCheck;
        private String areaName;
        private int caseState;
        private String punishType;
        private String checkPersonName;
        private String communityName;
        private String superviseRemarks;
        private String videoIdCheck;
        private String lat;
        private String superviseUserid;
        private String caseStateName;
        private String lng;
        private String isOvertime;
        private String superviseUserName;
        private int bzminis;
        private String verifyPersonName;
        private String audioIdProcess;
        private String fileIdVerify;
        private String casetypeDetailCode;
        private int isUrge;
        private String onedeptid;
        private String checkPersonId;
        private String fileIdCheck;
        private String areaCode;
        private String videoIdProcess;
        private String caseid;
        private String caseLevelName;
        private String nodeLimittime;
        private String gridId;
        private String punishRemarks;
        private String reporterPhone;
        private String processPersonid;
        private String casetypesTimeId;
        private int isSupervise;
        private String description;
        private String urgeUserid;
        private String casetypesTimeName;
        private String audioIdVerify;
        private String eorcName;
        private String casetypeDetailName;
        private String streetName;
        private String processId;
        private String reportSupervisorName;
        private int caseLevel;
        private String shopPhone;
        private String verifyPersonId;
        private String fieldintro;
        private String processPersonName;
        private String streetCode;
        private String urgeRemarks;
        private String videoIdVerify;
        private String shopkeeperName;
        private String eorc;
        private String punishTime;
        private String createTime;
        private String casetypeCode;
        private String punishImage;
        private String processRemarks;
        private String createUser;
        private String sourceName;
        private String fileIdProcess;
        private String communityCode;
        private String onedeptName;

        public int getBzhours() {
            return bzhours;
        }

        public void setBzhours(int bzhours) {
            this.bzhours = bzhours;
        }

        public int getIsNeedRevisit() {
            return isNeedRevisit;
        }

        public void setIsNeedRevisit(int isNeedRevisit) {
            this.isNeedRevisit = isNeedRevisit;
        }

        public String getRegisterRemarks() {
            return registerRemarks;
        }

        public void setRegisterRemarks(String registerRemarks) {
            this.registerRemarks = registerRemarks;
        }

        public String getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(String createUserName) {
            this.createUserName = createUserName;
        }

        public int getSource() {
            return source;
        }

        public void setSource(int source) {
            this.source = source;
        }

        public String getReporterName() {
            return reporterName;
        }

        public void setReporterName(String reporterName) {
            this.reporterName = reporterName;
        }

        public String getCasetypeName() {
            return casetypeName;
        }

        public void setCasetypeName(String casetypeName) {
            this.casetypeName = casetypeName;
        }

        public String getAudioIdCheck() {
            return audioIdCheck;
        }

        public void setAudioIdCheck(String audioIdCheck) {
            this.audioIdCheck = audioIdCheck;
        }

        public String getAreaName() {
            return areaName;
        }

        public void setAreaName(String areaName) {
            this.areaName = areaName;
        }

        public int getCaseState() {
            return caseState;
        }

        public void setCaseState(int caseState) {
            this.caseState = caseState;
        }

        public String getPunishType() {
            return punishType;
        }

        public void setPunishType(String punishType) {
            this.punishType = punishType;
        }

        public String getCheckPersonName() {
            return checkPersonName;
        }

        public void setCheckPersonName(String checkPersonName) {
            this.checkPersonName = checkPersonName;
        }

        public String getCommunityName() {
            return communityName;
        }

        public void setCommunityName(String communityName) {
            this.communityName = communityName;
        }

        public String getSuperviseRemarks() {
            return superviseRemarks;
        }

        public void setSuperviseRemarks(String superviseRemarks) {
            this.superviseRemarks = superviseRemarks;
        }

        public String getVideoIdCheck() {
            return videoIdCheck;
        }

        public void setVideoIdCheck(String videoIdCheck) {
            this.videoIdCheck = videoIdCheck;
        }

        public String getLat() {
            return lat;
        }

        public void setLat(String lat) {
            this.lat = lat;
        }

        public String getSuperviseUserid() {
            return superviseUserid;
        }

        public void setSuperviseUserid(String superviseUserid) {
            this.superviseUserid = superviseUserid;
        }

        public String getCaseStateName() {
            return caseStateName;
        }

        public void setCaseStateName(String caseStateName) {
            this.caseStateName = caseStateName;
        }

        public String getLng() {
            return lng;
        }

        public void setLng(String lng) {
            this.lng = lng;
        }

        public String getIsOvertime() {
            return isOvertime;
        }

        public void setIsOvertime(String isOvertime) {
            this.isOvertime = isOvertime;
        }

        public String getSuperviseUserName() {
            return superviseUserName;
        }

        public void setSuperviseUserName(String superviseUserName) {
            this.superviseUserName = superviseUserName;
        }

        public int getBzminis() {
            return bzminis;
        }

        public void setBzminis(int bzminis) {
            this.bzminis = bzminis;
        }

        public String getVerifyPersonName() {
            return verifyPersonName;
        }

        public void setVerifyPersonName(String verifyPersonName) {
            this.verifyPersonName = verifyPersonName;
        }

        public String getAudioIdProcess() {
            return audioIdProcess;
        }

        public void setAudioIdProcess(String audioIdProcess) {
            this.audioIdProcess = audioIdProcess;
        }

        public String getFileIdVerify() {
            return fileIdVerify;
        }

        public void setFileIdVerify(String fileIdVerify) {
            this.fileIdVerify = fileIdVerify;
        }

        public String getCasetypeDetailCode() {
            return casetypeDetailCode;
        }

        public void setCasetypeDetailCode(String casetypeDetailCode) {
            this.casetypeDetailCode = casetypeDetailCode;
        }

        public int getIsUrge() {
            return isUrge;
        }

        public void setIsUrge(int isUrge) {
            this.isUrge = isUrge;
        }

        public String getOnedeptid() {
            return onedeptid;
        }

        public void setOnedeptid(String onedeptid) {
            this.onedeptid = onedeptid;
        }

        public String getCheckPersonId() {
            return checkPersonId;
        }

        public void setCheckPersonId(String checkPersonId) {
            this.checkPersonId = checkPersonId;
        }

        public String getFileIdCheck() {
            return fileIdCheck;
        }

        public void setFileIdCheck(String fileIdCheck) {
            this.fileIdCheck = fileIdCheck;
        }

        public String getAreaCode() {
            return areaCode;
        }

        public void setAreaCode(String areaCode) {
            this.areaCode = areaCode;
        }

        public String getVideoIdProcess() {
            return videoIdProcess;
        }

        public void setVideoIdProcess(String videoIdProcess) {
            this.videoIdProcess = videoIdProcess;
        }

        public String getCaseid() {
            return caseid;
        }

        public void setCaseid(String caseid) {
            this.caseid = caseid;
        }

        public String getCaseLevelName() {
            return caseLevelName;
        }

        public void setCaseLevelName(String caseLevelName) {
            this.caseLevelName = caseLevelName;
        }

        public String getNodeLimittime() {
            return nodeLimittime;
        }

        public void setNodeLimittime(String nodeLimittime) {
            this.nodeLimittime = nodeLimittime;
        }

        public String getGridId() {
            return gridId;
        }

        public void setGridId(String gridId) {
            this.gridId = gridId;
        }

        public String getPunishRemarks() {
            return punishRemarks;
        }

        public void setPunishRemarks(String punishRemarks) {
            this.punishRemarks = punishRemarks;
        }

        public String getReporterPhone() {
            return reporterPhone;
        }

        public void setReporterPhone(String reporterPhone) {
            this.reporterPhone = reporterPhone;
        }

        public String getProcessPersonid() {
            return processPersonid;
        }

        public void setProcessPersonid(String processPersonid) {
            this.processPersonid = processPersonid;
        }

        public String getCasetypesTimeId() {
            return casetypesTimeId;
        }

        public void setCasetypesTimeId(String casetypesTimeId) {
            this.casetypesTimeId = casetypesTimeId;
        }

        public int getIsSupervise() {
            return isSupervise;
        }

        public void setIsSupervise(int isSupervise) {
            this.isSupervise = isSupervise;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getUrgeUserid() {
            return urgeUserid;
        }

        public void setUrgeUserid(String urgeUserid) {
            this.urgeUserid = urgeUserid;
        }

        public String getCasetypesTimeName() {
            return casetypesTimeName;
        }

        public void setCasetypesTimeName(String casetypesTimeName) {
            this.casetypesTimeName = casetypesTimeName;
        }

        public String getAudioIdVerify() {
            return audioIdVerify;
        }

        public void setAudioIdVerify(String audioIdVerify) {
            this.audioIdVerify = audioIdVerify;
        }

        public String getEorcName() {
            return eorcName;
        }

        public void setEorcName(String eorcName) {
            this.eorcName = eorcName;
        }

        public String getCasetypeDetailName() {
            return casetypeDetailName;
        }

        public void setCasetypeDetailName(String casetypeDetailName) {
            this.casetypeDetailName = casetypeDetailName;
        }

        public String getStreetName() {
            return streetName;
        }

        public void setStreetName(String streetName) {
            this.streetName = streetName;
        }

        public String getProcessId() {
            return processId;
        }

        public void setProcessId(String processId) {
            this.processId = processId;
        }

        public String getReportSupervisorName() {
            return reportSupervisorName;
        }

        public void setReportSupervisorName(String reportSupervisorName) {
            this.reportSupervisorName = reportSupervisorName;
        }

        public int getCaseLevel() {
            return caseLevel;
        }

        public void setCaseLevel(int caseLevel) {
            this.caseLevel = caseLevel;
        }

        public String getShopPhone() {
            return shopPhone;
        }

        public void setShopPhone(String shopPhone) {
            this.shopPhone = shopPhone;
        }

        public String getVerifyPersonId() {
            return verifyPersonId;
        }

        public void setVerifyPersonId(String verifyPersonId) {
            this.verifyPersonId = verifyPersonId;
        }

        public String getFieldintro() {
            return fieldintro;
        }

        public void setFieldintro(String fieldintro) {
            this.fieldintro = fieldintro;
        }

        public String getProcessPersonName() {
            return processPersonName;
        }

        public void setProcessPersonName(String processPersonName) {
            this.processPersonName = processPersonName;
        }

        public String getStreetCode() {
            return streetCode;
        }

        public void setStreetCode(String streetCode) {
            this.streetCode = streetCode;
        }

        public String getUrgeRemarks() {
            return urgeRemarks;
        }

        public void setUrgeRemarks(String urgeRemarks) {
            this.urgeRemarks = urgeRemarks;
        }

        public String getVideoIdVerify() {
            return videoIdVerify;
        }

        public void setVideoIdVerify(String videoIdVerify) {
            this.videoIdVerify = videoIdVerify;
        }

        public String getShopkeeperName() {
            return shopkeeperName;
        }

        public void setShopkeeperName(String shopkeeperName) {
            this.shopkeeperName = shopkeeperName;
        }

        public String getEorc() {
            return eorc;
        }

        public void setEorc(String eorc) {
            this.eorc = eorc;
        }

        public String getPunishTime() {
            return punishTime;
        }

        public void setPunishTime(String punishTime) {
            this.punishTime = punishTime;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getCasetypeCode() {
            return casetypeCode;
        }

        public void setCasetypeCode(String casetypeCode) {
            this.casetypeCode = casetypeCode;
        }

        public String getPunishImage() {
            return punishImage;
        }

        public void setPunishImage(String punishImage) {
            this.punishImage = punishImage;
        }

        public String getProcessRemarks() {
            return processRemarks;
        }

        public void setProcessRemarks(String processRemarks) {
            this.processRemarks = processRemarks;
        }

        public String getCreateUser() {
            return createUser;
        }

        public void setCreateUser(String createUser) {
            this.createUser = createUser;
        }

        public String getSourceName() {
            return sourceName;
        }

        public void setSourceName(String sourceName) {
            this.sourceName = sourceName;
        }

        public String getFileIdProcess() {
            return fileIdProcess;
        }

        public void setFileIdProcess(String fileIdProcess) {
            this.fileIdProcess = fileIdProcess;
        }

        public String getCommunityCode() {
            return communityCode;
        }

        public void setCommunityCode(String communityCode) {
            this.communityCode = communityCode;
        }

        public String getOnedeptName() {
            return onedeptName;
        }

        public void setOnedeptName(String onedeptName) {
            this.onedeptName = onedeptName;
        }
    }
}
